Bug 1154750 - Review Request: mozilla-privacy-badger - Protects your privacy by blocking spying ads and invisible trackers
Summary: Review Request: mozilla-privacy-badger - Protects your privacy by blocking sp...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 858027 1221209
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-20 16:43 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2018-08-07 09:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 09:45:58 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2014-10-20 16:43:34 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-0.1.4-1.fc20.src.rpm
Description:
Privacy Badger is a browser add-on that stops advertisers and other third-party
trackers from secretly tracking where you go and what pages you look at on the
web. If an advertiser seems to be tracking you across multiple websites without
your permission, Privacy Badger automatically blocks that advertiser from
loading any more content in your browser. To the advertiser, it's like you
suddenly disappeared.

Fedora Account System Username: rathann

Comment 1 Andy Lutomirski 2014-10-29 18:48:34 UTC
The source URL should probably be something like:

https://addons.mozilla.org/firefox/downloads/file/261868/privacy_badger-%{version}-fx.xpi

The draft specs seem to suggest that the xpi should be unpacked.  Does this extension work if it's unpacked?

The FSF seems to thing that CC-BY is incompatible with the GPL [1].

[1] https://www.gnu.org/licenses/license-list.html#ccby

Comment 2 Dominik 'Rathann' Mierzejewski 2015-01-11 23:25:33 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-0.2.4-1.fc21.src.rpm

* Mon Jan 12 2015 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 0.2.4-1
- update to 0.2.4

* Mon Dec 15 2014 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 0.2.3-1
- update to 0.2.3
- switch source URL to EFF site
- minimum firefox version is 26
- simplify and improve install commands
- fix install path for seamonkey

I've identified a number of bundled libraries and I'll work on unbundling them next. I'll try replacing the bundled sha1 code with some other implementation under an acceptable licence.

The extension seems to work just fine when unpacked.

Comment 3 Dominik 'Rathann' Mierzejewski 2015-05-13 13:54:56 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-0.2.6.1-1.d219f00.fc21.src.rpm

* Wed May 13 2015 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 0.2.6.1-1.d219f00
- update to latest git master
- build from github source
- unbundle jquery
- drop obsolete patch

TODO: unbundle other bundled JS libs.

Comment 4 Andy Lutomirski 2015-05-18 22:05:08 UTC
I'm dropping this, since I'm barely qualified to reivew JS.  Note to whomever takes over: the license needs careful checking.

Comment 5 Vít Ondruch 2015-05-19 08:27:01 UTC
/usr/share/addons-sdk/.test_tmp should be probably excluded from the package.

Comment 6 Vít Ondruch 2015-05-19 08:27:49 UTC
(In reply to Vít Ondruch from comment #5)
> /usr/share/addons-sdk/.test_tmp should be probably excluded from the package.

Ups, this actually belongs to bug 1221209

Comment 7 Dominik 'Rathann' Mierzejewski 2015-08-11 13:03:36 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-1.0.0-1.fc21.src.rpm

* Sun Aug 09 2015 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.0.0-1
- update to 1.0.0 (git commit b086016)

Comment 8 Dominik 'Rathann' Mierzejewski 2015-12-26 23:43:50 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-1.0.5-1.fc23.src.rpm

- update to 1.0.5 (signed, from addons.mozilla.org)

It works with FF43+ with signature checking enabled, but at the cost of having bundled jQuery and other stuff. Also, we can't build from source anymore, but that is another story, because we don't have jpm packaged anyway.

Comment 10 Dominik 'Rathann' Mierzejewski 2016-07-19 20:23:30 UTC
No reason given for FE-Legal block, so lifting. Feel free to re-add with rationale.

Comment 11 Dominik 'Rathann' Mierzejewski 2016-07-28 19:45:07 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-1.7.0-1.fc23.src.rpm

- update to 1.7.0
- drop CC-BY from License: (not sure how it got there)

Comment 12 Andy Lutomirski 2016-07-28 20:33:46 UTC
I assume the FE-Legal block was because an older version of this package had both CC-BY code and GPL code.  I haven't checked whether the current version has that combination.

Comment 13 Dominik 'Rathann' Mierzejewski 2016-11-02 13:49:26 UTC
(In reply to Andy Lutomirski from comment #12)
> I assume the FE-Legal block was because an older version of this package had
> both CC-BY code and GPL code.  I haven't checked whether the current version
> has that combination.

I don't see anything licensed with CC-BY in the current version.

Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-1.8.1-1.fc24.src.rpm

* Wed Nov 02 2016 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.8.1-1
- update to 1.8.1
- bump minimum firefox version for RHEL5

Comment 14 Dominik 'Rathann' Mierzejewski 2017-03-22 00:59:53 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-2017.1.26.1-1.fc25.src.rpm

* Tue Mar 21 2017 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 2017.1.26.1-1
- update to 2017.1.26.1
- update source URL
- update bundled components list
- bump minimum firefox version for RHEL5

Comment 15 Dominik 'Rathann' Mierzejewski 2017-07-02 13:50:41 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-2017.6.13.1-1.fc25.src.rpm

* Sun Jul 02 2017 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 2017.6.13.1-1
- update to 2017.6.13.1
- update source URL
- update bundled components list
- drop support for RHEL5

Comment 16 Dominik 'Rathann' Mierzejewski 2018-02-21 09:40:52 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-2018.2.5-1.fc27.src.rpm

* Wed Feb 21 2018 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 2018.2.5-1
- update to 2018.2.5
- update bundled components list
- drop SeaMonkey support

Comment 17 Robert-André Mauchin 2018-02-21 19:53:12 UTC
 - I can't find any BSD code in his package. Are you sure " and BSD" is necessary?

 - You should own the install directory:

%files
%license LICENSE
%dir %{firefox_inst_dir}
%{firefox_inst_dir}/%{ext_id}.xpi




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3)", "MIT/X11 (BSD like) GPL (v3)", "Unknown or
     generated". 107 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/mozilla-privacy-badger
     /review-mozilla-privacy-badger/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mozilla-privacy-badger-2018.2.5-1.fc29.noarch.rpm
          mozilla-privacy-badger-2018.2.5-1.fc29.src.rpm
mozilla-privacy-badger.noarch: W: no-documentation
mozilla-privacy-badger.src:32: W: unversioned-explicit-provides bundled(css-toggle-switch.css)
mozilla-privacy-badger.src:38: W: unversioned-explicit-provides bundled(punycode)
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 18 Dominik 'Rathann' Mierzejewski 2018-03-09 15:12:09 UTC
(In reply to Robert-André Mauchin from comment #17)
>  - I can't find any BSD code in his package. Are you sure " and BSD" is
> necessary?
> 
>  - You should own the install directory:
> 
> %files
> %license LICENSE
> %dir %{firefox_inst_dir}
> %{firefox_inst_dir}/%{ext_id}.xpi

Thanks for the review!

Spec URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-privacy-badger/mozilla-privacy-badger-2018.2.5-2.fc27.src.rpm

* Fri Mar 09 2018 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 2018.2.5-2
- drop BSD from license list (no BSD-licensed components anymore)
- own firefox_inst_dir

Comment 19 Robert-André Mauchin 2018-03-09 15:27:56 UTC
Package is approved.

Comment 20 Gwyn Ciesla 2018-03-12 13:23:58 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mozilla-privacy-badger

Comment 21 Dominik 'Rathann' Mierzejewski 2018-08-07 09:45:58 UTC
Not sure why I missed this, but this was built for F27+.


Note You need to log in before you can comment on or make changes to this bug.